> ## Documentation Index
> Fetch the complete documentation index at: https://docs.n8negri.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# List Templates



## OpenAPI

````yaml /api-reference/openapi.json get /v1/templates
openapi: 3.1.0
info:
  title: Imtegrate API
  version: dev
servers: []
security: []
paths:
  /v1/templates:
    get:
      tags:
        - templates
      summary: List Templates
      operationId: list_templates_v1_templates_get
      parameters:
        - name: project_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Project Id
        - name: Authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TemplateOut'
                title: Response List Templates V1 Templates Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TemplateOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        org_id:
          type: string
          format: uuid
          title: Org Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        format:
          type: string
          title: Format
        width:
          type: integer
          title: Width
        height:
          type: integer
          title: Height
        canvas_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Canvas Data
        composition_html:
          anyOf:
            - type: string
            - type: 'null'
          title: Composition Html
        video_strategy:
          anyOf:
            - type: string
            - type: 'null'
          title: Video Strategy
        placeholders:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Placeholders
        is_published:
          type: boolean
          title: Is Published
        current_version:
          type: integer
          title: Current Version
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - project_id
        - org_id
        - name
        - type
        - format
        - width
        - height
        - canvas_data
        - composition_html
        - placeholders
        - is_published
        - current_version
        - created_at
        - updated_at
      title: TemplateOut
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````